From ac456959a14f112356051fc37b4b30b54d475f3d Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 22:01:33 -0400
Subject: [PATCH 10/22] gnu: girara: Update package definition.

* gnu/packages/pwmt.scm (girara): Make changes to reflect particulars
in recent version of source code.
[arguments]: Add glib-or-gtk option.
[arguments]: Add notify configure-flag.
[native-inputs]: Add doxygen.
[inputs]: Add glib, json-c, libnotify and pango.
[propagated-inputs]: Move gtk+ to inputs.
[synopsis]: Update.
[description]: Update.
---
 gnu/packages/pwmt.scm | 72 +++++++++++++++++++++++++------------------
 1 file changed, 42 insertions(+), 30 deletions(-)

diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index 977ba39ccc..900826365f 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -40,6 +40,7 @@
   #:use-module (gnu packages sphinx)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages xorg)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -61,37 +62,48 @@
         (base32 "0cmjdismdsx9a5l7zx54zkd33mgg3mx4ckpvc7aap3x6a1ddmz2i"))))
     (build-system meson-build-system)
     (arguments
-     `(#:phases (modify-phases %standard-phases
-                  (add-before 'check 'start-xserver
-                    ;; Tests require a running X server.
-                    (lambda* (#:key inputs #:allow-other-keys)
-                      (let ((xorg-server (assoc-ref inputs "xorg-server"))
-                            (display ":1"))
-                        (setenv "DISPLAY" display)
-
-                        ;; On busy machines, tests may take longer than
-                        ;; the default of four seconds.
-                        (setenv "CK_DEFAULT_TIMEOUT" "20")
-
-                        ;; Don't fail due to missing '/etc/machine-id'.
-                        (setenv "DBUS_FATAL_WARNINGS" "0")
-                        (zero? (system (string-append xorg-server "/bin/Xvfb "
-                                                      display " &")))))))))
-    (native-inputs `(("pkg-config" ,pkg-config)
-                     ("check" ,check)
-                     ("gettext" ,gettext-minimal)
-                     ("glib:bin" ,glib "bin")
-                     ("xorg-server" ,xorg-server-for-tests)))
-    ;; Listed in 'Requires.private' of 'girara.pc'.
-    (propagated-inputs `(("gtk+" ,gtk+)))
-    (synopsis "Library for minimalistic gtk+3 user interfaces")
+     `(#:glib-or-gtk? #t                ; To compile schemas
+       #:configure-flags
+       (list
+        "-Dnotify=enabled")             ; For notification support
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'start-xserver
+           ;; Tests require a running X server.
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let
+                 ((xorg-server (assoc-ref inputs "xorg-server"))
+                  (display ":1"))
+               (setenv "DISPLAY" display)
+               ;; On busy machines, tests may take longer than
+               ;; the default of four seconds.
+               (setenv "CK_DEFAULT_TIMEOUT" "20")
+               ;; Don't fail due to missing '/etc/machine-id'.
+               (setenv "DBUS_FATAL_WARNINGS" "0")
+               (zero?
+                (system
+                 (string-append xorg-server "/bin/Xvfb "
+                                display " &")))))))))
+    (native-inputs
+     `(("check" ,check)                 ; For tests
+       ("doxygen" ,doxygen)             ; For docs
+       ("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("pkg-config" ,pkg-config)
+       ("xorg-server" ,xorg-server-for-tests))) ; For tests
+    (inputs
+     `(("glib" ,glib)
+       ("gtk+" ,gtk+)
+       ("json-c" ,json-c)          ; For configuration dumping support
+       ("libnotify" ,libnotify)    ; For notification support
+       ("pango" ,pango)))
+    (synopsis "User interface library")
     (description "Girara is a library that implements a user interface that
-focuses on simplicity and minimalism.  Currently based on GTK+, a
-cross-platform widget toolkit, it provides an interface that focuses on three
-main components: a so-called view widget that represents the actual
-application, an input bar that is used to execute commands of the
-application and the status bar which provides the user with current
-information.")
+focuses on simplicity and minimalism.  Currently based on GTK+, a cross-platform
+widget toolkit, it provides an interface that focuses on three main components:
+A so-called view widget that represents the actual application, an input bar
+that is used to execute commands of the application and the status bar which
+provides the user with current information.")
     (home-page "https://pwmt.org/projects/girara/")
     (license license:zlib)))
 
-- 
2.26.2

